# Define version and release number
%define php_common_major 8
%define php_common_sub 3
%define phplong %{php_common_major}.%{php_common_sub}
%define modname event
%define soname %{modname}.so
%define inifile A35_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Event Scheduling Engine for PHP
Name:		php-%{modname}
Version:	3.1.0
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/event
Source0:	https://pecl.php.net/get/event-%{version}.tgz
BuildRequires:	php%{phplong}-sockets
BuildRequires:	pkgconfig(libevent)
Epoch:		1
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:	php-devel <= 3:%{phplong}.99


%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	Event Scheduling Engine for PHP
Group:		Development/PHP
Requires:	php%{phplong}-sockets
Requires:	php >= 3:%{phplong}.0
Requires:	php <= 3:%{phplong}.99
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description -n php%{phplong}-%{modname}
This is an extension to efficiently schedule IO, time and signal based events
using the best available IO notification mechanism for your system. This is a
port of libevent to the PHP infrastructure; the API is similar but not
identical.

%prep
%setup -q -n event-%{version}

%build
%serverbuild

phpize
%configure \
    --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix} \
    --with-event-core \
    --with-event-pthreads \
    --with-event-extra \
    --with-event-openssl

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{php_inidir}/%{inifile}

%files -n php%{phplong}-%{modname}
%doc CREDITS
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Wed Mar 26 2025 mokraemer <mokraemer> 1:3.1.0-4.mga9
+ Revision: 2170074
- fix deps
- fix deps
- switched config dir
- fix dependency
- support multiversioned php

* Tue Dec 26 2023 mokraemer <mokraemer> 1:3.1.0-1.mga10
+ Revision: 2021659
- new version 3.1.0

* Fri Sep 08 2023 mokraemer <mokraemer> 1:3.0.8-6.mga10
+ Revision: 1985212
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 1:3.0.8-5.mga9
+ Revision: 1902466
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 1:3.0.8-4.mga9
+ Revision: 1879770
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 1:3.0.8-3.mga9
+ Revision: 1869998
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 1:3.0.8-2.mga9
+ Revision: 1869867
- rebuild for php 8.2

* Wed Jun 01 2022 mokraemer <mokraemer> 1:3.0.8-1.mga9
+ Revision: 1860997
- new release

* Sat Mar 19 2022 umeabot <umeabot> 1:3.0.2-4.mga9
+ Revision: 1799639
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 1:3.0.2-3.mga9
+ Revision: 1759359
- rebuild for php 8.1

* Sat Oct 02 2021 wally <wally> 1:3.0.2-2.mga9
+ Revision: 1747492
- rebuild for openssl 3.0.0

* Sun Dec 06 2020 mokraemer <mokraemer> 1:3.0.2-1.mga8
+ Revision: 1654028
- new version 3.0.2!

* Thu Dec 03 2020 mokraemer <mokraemer> 1:3.0.1-1.mga8
+ Revision: 1651935
- new version 3.0.1

* Wed Nov 25 2020 mokraemer <mokraemer> 1:3.0.0-1.mga8
+ Revision: 1649099
- new version 3.0.0

* Mon Sep 07 2020 mokraemer <mokraemer> 1:2.5.7-1.mga8
+ Revision: 1623151
- new version 2.5.7

* Thu Jun 18 2020 mokraemer <mokraemer> 1:2.5.6-2.mga8
+ Revision: 1596260
- fix dep to current version

* Wed May 20 2020 mokraemer <mokraemer> 1:2.5.6-1.mga8
+ Revision: 1586378
- new version 2.5.6

* Tue May 12 2020 mokraemer <mokraemer> 1:2.5.5-1.mga8
+ Revision: 1583324
- new version 2.5.5

* Tue Feb 18 2020 umeabot <umeabot> 1:2.5.3-4.mga8
+ Revision: 1538972
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1:2.5.3-3.mga8
+ Revision: 1463518
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 1:2.5.3-2.mga8
+ Revision: 1454916
- removed dirname

* Sun Jun 30 2019 mokraemer <mokraemer> 1:2.5.3-1.mga8
+ Revision: 1416307
- new version 2.5.3

* Wed Dec 12 2018 mokraemer <mokraemer> 1:2.4.2-2.mga7
+ Revision: 1340431
- rebuild

* Tue Nov 27 2018 mokraemer <mokraemer> 1:2.4.2-1.mga7
+ Revision: 1335787
- new version 2.4.2

* Fri Oct 26 2018 mokraemer <mokraemer> 1:2.4.0-3.mga7
+ Revision: 1325758
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1:2.4.0-2.mga7
+ Revision: 1300217
- Mageia 7 Mass Rebuild

* Mon Jul 23 2018 mokraemer <mokraemer> 1:2.4.0-1.mga7
+ Revision: 1244952
- new version 2.4.0

* Wed Apr 11 2018 pterjan <pterjan> 1:2.3.0-3.mga7
+ Revision: 1217354
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1:2.3.0-2.mga7
+ Revision: 1181018
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 1:2.3.0-1.mga7
+ Revision: 1177188
- new version

* Mon Feb 13 2017 mrambo3501 <mrambo3501> 1:2.0.1-2.mga6
+ Revision: 1086047
- rebuild for new libevent

* Tue Mar 22 2016 oden <oden> 1:2.0.1-1.mga6
+ Revision: 993985
- 2.0.1

* Thu Mar 03 2016 umeabot <umeabot> 1:2.0.0-0.RC2.2.mga6
+ Revision: 983892
- Rebuild for openssl

* Thu Feb 25 2016 oden <oden> 1:2.0.0-0.RC2.1.mga6
+ Revision: 978982
- 2.0.0RC2

* Fri Feb 12 2016 umeabot <umeabot> 1:1.8.1-7.mga6
+ Revision: 958359
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.8.1-6.mga5
+ Revision: 739151
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.8.1-5.mga5
+ Revision: 687119
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:1.8.1-4.mga5
+ Revision: 616547
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:1.8.1-3.mga4
+ Revision: 567611
- Rebuild for new PHP

* Mon Oct 21 2013 umeabot <umeabot> 1:1.8.1-2.mga4
+ Revision: 539574
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 oden <oden> 1:1.8.1-1.mga4
+ Revision: 492429
- 1.8.1

* Mon Sep 16 2013 oden <oden> 1:1.7.8-1.mga4
+ Revision: 480309
- 1.7.8

* Mon Sep 09 2013 oden <oden> 1:1.7.6-1.mga4
+ Revision: 476679
- 1.7.6

* Fri Aug 16 2013 oden <oden> 1:1.7.4-1.mga4
+ Revision: 466816
- 1.7.4

* Mon Aug 12 2013 oden <oden> 1:1.7.3-1.mga4
+ Revision: 465626
- 1.7.3

* Thu Aug 01 2013 oden <oden> 1:1.7.2-1.mga4
+ Revision: 462131
- fix build
- 1.7.2

* Sat Jan 19 2013 fwang <fwang> 1:0.9.1-33.mga3
+ Revision: 389807
- fix building with php 5.4
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:0.9.1-32.mga2
+ Revision: 223883
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:0.9.1-31.mga2
+ Revision: 185163
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 1:0.9.1-30.mga1
+ Revision: 47873
- removed buildroot definition from .spec
- imported package php-event

